## linop 0.8.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p build/json build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
linop (0.8.2-3) unstable; urgency=medium

  [Ghislain Antony Vaillant]
  * Bump standards version, no changes required.
  * d/control:
    - fix uploaders field,
    - remove build-dep on python-docutils.
  * d/copyright:
    - use compatible licensing for debian/*,
    - remove unneeded entry for tests/*.
  * d/rules:
    - make non-verbose default,
    - add symlink to system mathjax in -doc package.
  * d/patches:
    - add use-system-mathjax.patch. 

  [Juan Picca]
  * d/rules: make package build reproducible. (Closes: #788402)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 30 Jun 2015 19:29:46 +0100

linop (0.8.2-2) unstable; urgency=medium

  * Fix FTBFS (Closes: #738735)
    + call dh_sphinxdoc only when -doc package should be built

 -- Ghislain Vaillant <ghisvail@gmail.com>  Mon, 21 Apr 2014 16:46:29 +0100

linop (0.8.2-1) unstable; urgency=medium

  * New upstream release (Closes: #743088)
  * Fix FTBFS (Closes: #738735)
    + move sphinxdoc build to override_dh_auto_install-indep

 -- Ghislain Vaillant <ghisvail@gmail.com>  Mon, 07 Apr 2014 09:14:01 +0100

linop (0.8-1) unstable; urgency=low

  * Initial release (Closes: #734282)

 -- Ghislain Vaillant <ghisvail@gmail.com>  Sat, 04 Jan 2014 14:03:10 +0000

=== debian/control ===
Source: linop
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-nose,
 python-numpy,
 python-scipy,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg-1~),
 python3-all,
 python3-nose,
 python3-numpy,
 python3-scipy,
 python3-setuptools
Standards-Version: 3.9.6
Section: python
Homepage: http://pythonhosted.org/linop/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/linop.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/linop.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-linop
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
Suggests: python-linop-doc
Description: Linear mathematical operators in Python (Python 2)
 Linop provides a standalone set of classes to abstract the creation and 
 management of linear operators, to be used as a common basis for the 
 development of advanced mathematical frameworks.
 .
 This is the Python 2 version of the package.

Package: python3-linop
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests: python-linop-doc
Description: Linear mathematical operators in Python (Python 3)
 Linop provides a standalone set of classes to abstract the creation and 
 management of linear operators, to be used as a common basis for the 
 development of advanced mathematical frameworks.
 .
 This is the Python 3 version of the package.

Package: python-linop-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-mathjax
Description: Linear mathematical operators in Python (documentation)
 Linop provides a standalone set of classes to abstract the creation and 
 management of linear operators, to be used as a common basis for the 
 development of advanced mathematical frameworks.
 .
 This is the common documentation of the package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=linop
DOCPKG = python-$(PYBUILD_NAME)-doc

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install-indep:
	python setup.py build_sphinx -b html --today="$(BUILD_DATE)"

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_link --package=$(DOCPKG) \
		/usr/share/javascript/mathjax/MathJax.js \
		/usr/share/doc/$(DOCPKG)/html/_static/MathJax.js
	dh_sphinxdoc --package=$(DOCPKG)
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/linop/linop-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
